Error
A valid request URL is required to generate request examples{
"id": "<string>",
"provider_key": "<string>",
"display_name": "<string>",
"type": "Local",
"scope": "SYSTEM",
"config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}Get a vault
Retrieves a specific vault registration. Requires a Sync user.
GET
/
v2
/
vaults
/
{vault_id}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"provider_key": "<string>",
"display_name": "<string>",
"type": "Local",
"scope": "SYSTEM",
"config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}{
"code": 123,
"message": "<string>",
"error": "<string>",
"error_code": "INVALID_REFERENCE",
"provider_id": "<string>",
"item_name": "<string>"
}Authorizations
ApiKeyAuthBasicAuth
A Sync user auth token. Generate one via POST /v2/users/generate-token.
Path Parameters
Response
The requested vault.
Globally unique reference key. Immutable after create.
Vault provider type.
Available options:
Local, System, AzureKeyVault Vault scope. Registrations use system scope.
Available options:
SYSTEM Provider configuration. Non-sensitive fields are returned as stored; sensitive fields (for example clientSecret) are returned masked (********). Empty for the Local vault. For the built-in System vault, standardPatterns and encryptedPatterns contain comma-separated environment variable names or wildcard patterns.